unit Unit1;

interface

uses Menus, DB, DBTables, StdCtrls, Mask, DBCtrls, Graphics, ExtCtrls,
     Controls, Classes, Grids, DBGrids, Forms, Windows, SysUtils, Buttons,
  jpeg, fcCombo, fcCalcEdit, ComCtrls;

type
  TfrmMain = class(TForm)
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Table1: TTable;
    PopupMenu1: TPopupMenu;
    N2: TMenuItem;
    gbEdit: TGroupBox;
    DBEdit1: TDBEdit;
    Label1: TLabel;
    Label2: TLabel;
    DBEdit2: TDBEdit;
    DBEdit3: TDBEdit;
    Label3: TLabel;
    Label4: TLabel;
    DBEdit4: TDBEdit;
    Image1: TImage;
    gbControls: TGroupBox;
    btnNew: TBitBtn;
    btnDel: TBitBtn;
    btnRefresh: TBitBtn;
    btnFilter: TBitBtn;
    cbIndex: TComboBox;
    DBNavigator1: TDBNavigator;
    Label5: TLabel;
    Image2: TImage;
    fcCalcEdit1: TfcCalcEdit;
    BitBtn1: TBitBtn;
    lblSize_: TLabel;
    lblSize: TLabel;
    mCal: TMonthCalendar;
    procedure FormCreate(Sender: TObject);
    procedure N2Click(Sender: TObject);
    procedure DBEdit1KeyPress(Sender: TObject; var Key: Char);
    procedure DBEdit2KeyPress(Sender: TObject; var Key: Char);
    procedure DBEdit3KeyPress(Sender: TObject; var Key: Char);
    procedure DBEdit4KeyPress(Sender: TObject; var Key: Char);
    procedure btnNewClick(Sender: TObject);
    procedure btnDelClick(Sender: TObject);
    procedure btnRefreshClick(Sender: TObject);
    procedure btnFilterClick(Sender: TObject);
    procedure cbIndexChange(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure DBEdit1Change(Sender: TObject);
    procedure DBEdit2Change(Sender: TObject);
    procedure DBEdit3Change(Sender: TObject);
    procedure DBEdit4Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses Unit2;


{$R *.dfm}

procedure TfrmMain.FormCreate(Sender: TObject);
var i: integer;
begin
try
    Table1.Active := False;
    Table1.DatabaseName := (ExtractFilePath(Application.ExeName)+'data');
    Table1.TableName := 'tovar';
    Table1.Active := True;
except
    on EDatabaseError do
        begin
        Application.MessageBox('   .', '', MB_ICONERROR);
        Halt;
        end;
end;
{frmMain.Left:= 0;
frmMain.Top:= 0;
frmMain.Height:= 740;
frmMain.Width:= 1004;
frmMain.WindowState:=wsmaximized;
}     Table1.IndexDefs.Update;
      for i := 1 to Table1.IndexDefs.Count - 1 do
      begin
      cbIndex.Items.Add(Table1.IndexDefs.Items[I].Name);
      end;
mCal.Date := Date;
end;

procedure TfrmMain.N2Click(Sender: TObject);
begin
DBGrid1.SetFocus;
case Application.MessageBox('     ?', '!', MB_YESNO)
of   IdYes: DataSource1.DataSet.Delete;
end;
end;

procedure TfrmMain.DBEdit1KeyPress(Sender: TObject; var Key: Char);
begin
try
if key = #13 then
        begin
        if DBEdit1.Modified then DBNavigator1.BtnClick(nbPost);
        DBEdit2.SetFocus;
        end;
except on EDataBaseError do end;
end;

procedure TfrmMain.DBEdit2KeyPress(Sender: TObject; var Key: Char);
begin
try
if key = #13 then
        begin
        if DBEdit2.Modified then DBNavigator1.BtnClick(nbPost);
        DBEdit3.SetFocus;
        end;
except on EDataBaseError do end;
end;

procedure TfrmMain.DBEdit3KeyPress(Sender: TObject; var Key: Char);
begin
try
if key = #13 then
        begin
        if DBEdit3.Modified then DBNavigator1.BtnClick(nbPost);
        DBEdit4.SetFocus;
        end;
except on EDataBaseError do end;
end;

procedure TfrmMain.DBEdit4KeyPress(Sender: TObject; var Key: Char);
begin
try
if key = #13 then
        begin
        if DBEdit4.Modified then DBNavigator1.BtnClick(nbPost);
        DBGrid1.SetFocus;
        end;
except on EDataBaseError do end;
end;

procedure TfrmMain.btnNewClick(Sender: TObject);
begin
DBNavigator1.BtnClick(nbInsert);
DBEdit1.SetFocus;
end;

procedure TfrmMain.btnDelClick(Sender: TObject);
begin
N2Click(sender);
end;

procedure TfrmMain.btnRefreshClick(Sender: TObject);
begin
DBNavigator1.BtnClick(nbRefresh);
Table1.Filtered := False;
Table1.IndexName := '';
cbIndex.ItemIndex := -1;
DBGrid1.SetFocus;
end;

procedure TfrmMain.btnFilterClick(Sender: TObject);
begin
Table1.Filter := 'BMany = ' + '0';
Table1.Filtered := True;
DBGrid1.SetFocus;
end;

procedure TfrmMain.cbIndexChange(Sender: TObject);
begin
Table1.IndexName := cbIndex.Text;
end;

procedure TfrmMain.BitBtn1Click(Sender: TObject);
begin
frmPrint.QuickRep1.PreviewModal;
end;

procedure updatesize();
begin
frmMain.lblSize_.Caption := inttostr(frmMain.Table1.RecordCount);
end;


procedure TfrmMain.DBEdit1Change(Sender: TObject);
begin
updatesize;
end;

procedure TfrmMain.DBEdit2Change(Sender: TObject);
begin
updatesize;
end;

procedure TfrmMain.DBEdit3Change(Sender: TObject);
begin
updatesize;
end;

procedure TfrmMain.DBEdit4Change(Sender: TObject);
begin
updatesize;
end;

end.
